Class | Prawn::Document::ColumnBox
In: | lib/prawn/document/column_box.rb
Parent: | BoundingBox

### Methods

left_side move_past_bottom new right_side width width_of_column

### Public Class methods

new(parent, point, options={})

### Public Instance methods

left_side()

x coordinate of the left edge of the current column

move_past_bottom()

Wrap position to the next column, starting a new page if necessary

right_side()

x co-orordinate of the right edge of the current column

width()

The column width, not the width of the whole box. Used to calculate how long a line of text can be.

width_of_column()

[Validate]